SYNC(2)

NOME
sync - transfere o cache do registro para o disk.

SYNOPSIS
#include <unistd.h>

int sync(void);

DESCRIÇÃO
sync começa transferindo os inodes para o registro, e então o registro para o disco.

VALORES RETORNADOS
sync sempre retorna 0.

DE ACORDO COM
SVr4, SVID, X/OPEN, BSD 4.3

PROBLEMAS
De acordo com a especificação padrão (i.e., SVID), sync() programas as gravações, mas pode retornar antes da gravação atual ser acabada. De qualquer forma, desde a versão 1.3.20 o Linux faz aguardar realmente. (Isto ainda não garante integridade de dados: discos modernos tem cachês grandes.)

VEJA TAMBÉM
bdflush(2), fsync(2), fdatasync(2), update(8), sync(8)

TRADUZIDO POR LDP-BR em 21/08/2000.
André L. Fassone Canova <lonelywolf@blv.com.br> (tradução) xxxxxxxxxxxxxxxxxxxxxxxxx <xxx@xxxxxx.xxx.xx> (revisão)